# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=8
PYTHON_COMPAT=( python3_{11,12,13} )
DISTUTILS_USE_PEP517=hatchling
#DISTUTILS_USE_SETUPTOOLS=rdepend

inherit distutils-r1

DESCRIPTION="Jinja2 Command-Line Tool, reworked, again"
HOMEPAGE="https://pypi.org/project/jinjanator/"
SRC_URI="https://github.com/kpfleming/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

export SETUPTOOLS_SCM_PRETEND_VERSION="${PV}"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="test"

BDEPEND="
	dev-python/setuptools[${PYTHON_USEDEP}]
	dev-python/setuptools-scm[${PYTHON_USEDEP}]
	dev-python/hatchling[${PYTHON_USEDEP}]
	dev-python/hatch-vcs[${PYTHON_USEDEP}]
	dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
	test? (
		dev-python/wheel[${PYTHON_USEDEP}]
	)
"

RDEPEND="
	dev-python/attrs[${PYTHON_USEDEP}]
	dev-python/jinja2[${PYTHON_USEDEP}]
	dev-python/pyyaml[${PYTHON_USEDEP}]
	>=dev-python/python-dotenv-1[${PYTHON_USEDEP}]
	dev-python/typing-extensions[${PYTHON_USEDEP}]
	=dev-python/jinjanator-plugins-24.2*[${PYTHON_USEDEP}]
"

python_test() {
	nosetests tests || die "tests failed under ${EPYTHON}"
}
